import { MouseEvent, CSSProperties, FC } from 'react';
import { CrossmintPayButtonProps, BaseButtonProps, NFTCollectionViewProps, NFTDetailProps } from '@crossmint/client-sdk-base';

interface CrossmintPayButtonReactProps extends CrossmintPayButtonProps {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
}
interface CrossmintStatusButtonReactProps extends BaseButtonProps {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
}

declare const CrossmintPayButton: FC<CrossmintPayButtonReactProps>;

declare const CrossmintStatusButton: FC<CrossmintStatusButtonReactProps>;

declare function CrossmintNFTCollectionView(props: NFTCollectionViewProps): JSX.Element;

declare function CrossmintNFTDetail(props: NFTDetailProps): JSX.Element;

export { CrossmintNFTCollectionView, CrossmintNFTDetail, CrossmintPayButton, CrossmintStatusButton };
